--- doc/src/sgml/ref/create_index.sgml.orig	2017-01-10 03:14:25.603940872 +0100
+++ doc/src/sgml/ref/create_index.sgml	2017-01-10 03:22:20.013526245 +0100
@@ -153,16 +153,15 @@
         the table's heap. Having these columns in the <literal>INCLUDE</> clause
         in some cases allows <productname>PostgreSQL</> to skip the heap read
         completely. This also allows <literal>UNIQUE</> indexes to be defined on
-        one set of columns, which can include another set of column in the
-        <literal>INCLUDE</> clause, on which the uniqueness is not enforced upon.
+        one set of columns, which can include another set of columns in the
+        <literal>INCLUDE</> clause, on which the uniqueness is not enforced.
         It's the same with other constraints (PRIMARY KEY and EXCLUDE). This can
         also can be used for non-unique indexes as any columns which are not required
-        for the searching or ordering of records can be included in the
-        <literal>INCLUDE</> clause, which can slightly reduce the size of the index,
-        due to storing included attributes only in leaf index pages.
+        for the searching or ordering of records can be used in the
+        <literal>INCLUDE</> clause, which can slightly reduce the size of the index.
         Currently, only the B-tree access method supports this feature.
         Expressions as included columns are not supported since they cannot be used
-        in index-only scan.
+        in index-only scans.
        </para>
       </listitem>
      </varlistentry>
